org.apache.olingo.server.api.uri.queryoption

## Enum SystemQueryOptionKind

- java.lang.Object
- - java.lang.Enum<SystemQueryOptionKind>
  - - org.apache.olingo.server.api.uri.queryoption.SystemQueryOptionKind

- All Implemented Interfaces:
    Serializable, Comparable<SystemQueryOptionKind>

      public enum SystemQueryOptionKind
      extends Enum<SystemQueryOptionKind>

  Defines the supported system query options.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY`
    `COUNT`
    `DELTATOKEN`
    `EXPAND`
    `FILTER`
    `FORMAT`
    `ID`
    `LEVELS`
    `ORDERBY`
    `SEARCH`
    `SELECT`
    `SKIP`
    `SKIPTOKEN`
    `TOP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemQueryOptionKind` | `get(String option)` Converts the URI syntax to an enumeration value.
    `String` | `toString()`
    `static SystemQueryOptionKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SystemQueryOptionKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILTER

          public static final SystemQueryOptionKind FILTER

      See Also:
        `FilterOption`

    - #### FORMAT

          public static final SystemQueryOptionKind FORMAT

      See Also:
        `FormatOption`

    - #### EXPAND

          public static final SystemQueryOptionKind EXPAND

      See Also:
        `ExpandOption`

    - #### ID

          public static final SystemQueryOptionKind ID

      See Also:
        `IdOption`

    - #### COUNT

          public static final SystemQueryOptionKind COUNT

      See Also:
        `CountOption`

    - #### ORDERBY

          public static final SystemQueryOptionKind ORDERBY

      See Also:
        `OrderByOption`

    - #### SEARCH

          public static final SystemQueryOptionKind SEARCH

      See Also:
        `SearchOption`

    - #### SELECT

          public static final SystemQueryOptionKind SELECT

      See Also:
        `SelectOption`

    - #### SKIP

          public static final SystemQueryOptionKind SKIP

      See Also:
        `SkipOption`

    - #### SKIPTOKEN

          public static final SystemQueryOptionKind SKIPTOKEN

      See Also:
        `SkipTokenOption`

    - #### TOP

          public static final SystemQueryOptionKind TOP

      See Also:
        `TopOption`

    - #### LEVELS

          public static final SystemQueryOptionKind LEVELS

      See Also:
        `LevelsExpandOption`

    - #### DELTATOKEN

          public static final SystemQueryOptionKind DELTATOKEN

      See Also:
        `deltaTokenOption`

    - #### APPLY

          public static final SystemQueryOptionKind APPLY

      See Also:
        `ApplyOption`

  - ### Method Detail

    - #### values

          public static SystemQueryOptionKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemQueryOptionKind c : SystemQueryOptionKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemQueryOptionKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static SystemQueryOptionKind get(String option)

      Converts the URI syntax to an enumeration value.
      Parameters:
        `option` - option in the syntax used in the URI
      Returns:
        system query option kind representing the given option (or `null` if the option does not represent a system query option)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SystemQueryOptionKind>`
      Returns:
        URI syntax for this system query option

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.